%global libmajor 3

Summary:       Convolution engine library
Name:          zita-convolver
Version:       3.1.0
Release:       %mkrel 1
License:       GPLv3+
Group:         System Environment/Libraries
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2

BuildRequires: fftw-devel
BuildRequires: gcc-c++

%description
%{name} is a fast, partitioned convolution engine library.

%package  devel
Summary:       Fast, partitioned convolution engine library
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
%{name} is a fast, partitioned convolution engine library. This package
contains libraries and header files for developing applications that use
%{name}.

%prep
%setup -q

# No need to call ldconfig during packaging
sed -i '\|ldconfig|d' libs/Makefile

# Preserve timestamps
sed -i 's|install |install -p |' libs/Makefile

# Force Fedora's optflags
sed -i 's|-march=native|%{optflags}|' libs/Makefile

%build
make -C libs PREFIX=%{_prefix} LDFLAGS="$RPM_LD_FLAGS" %{?_smp_mflags}

%install
make -C libs DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} install
# create .so.x link
ln -s lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{libmajor}


%files
%doc AUTHORS
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%changelog
* Wed Dec 19 2018 adrianomorselli <adrianomorselli> 3.1.0-1uplos2018
- update and reimported for lost package
